<?php

if (!defined("IN_FUSION")) { die("Access Denied"); }

replaces("forum\/index\.php", "forum/main");
replaces("viewforum\.php\?forum_id=([0-9]+)", "forumcat(\'$1\')", "e");
replaces("viewthread\.php\?thread_id=([0-9]+)", "topic(\'$1\')", "e");
replaces("&amp;pid=([0-9]+)#post_([0-9]+)", "lastpost(\'$1\')", "e");
replaces("photogallery\.php\?photo_id=([0-9]+)(#comments)?", "photoview(\'$1\')", "e");
replaces("photogallery\.php\?album_id=([0-9]+)", "photoalbums(\'$1\')", "e");
replaces("photogallery\.php", "photogallery");
replaces("news\.php\?readmore=([0-9]+)(#comments)?", "news(\'$1\')", "e");
replaces("articles\.php\?article_id=([0-9]+)", "article(\'$1\')", "e");
replaces("articles\.php\?cat_id=([0-9]+)", "articlescats(\'$1\')", "e");
replaces("news_cats\.php\?cat_id=([0-9]+)", "newscats(\'$1\')", "e");
replaces("news\.php", "news");
replaces("articles\.php", "razdely-statei");
replaces("news_cats\.php", "razdely-novostei");
replaces("print\.php\?type=N\&amp;item_id=([0-9]+)", "newsprint(\'$1\')", "e");
replaces("print\.php\?type=A\&amp;item_id=([0-9]+)", "articleprint(\'$1\')", "e");
replaces("profile\.php\?lookup=([0-9]+)", "profile(\'$1\')", "e");

replaces("weblinks\.php\?cat_id=([0-9]+)\&amp;weblink_id=([0-9]+)", "weblink(\'$1\')", "e");
replaces("weblinks\.php\?cat_id=([0-9]+)", "weblinkscats(\'$1\')", "e");
replaces("weblinks\.php", "weblinks");

replaces("viewpage\.php\?page_id=([0-9]+)", "custompage(\'$1\')", "e");

replaces("faq\.php\?cat_id=([0-9]+)", "faq(\'$1\')", "e");
replaces("faq\.php", "faq");

replaces("downloads\.php\?cat_id=([0-9]+)&amp;file_id=([0-9]+)", "downfile(\'$2\')", "e");
replaces("downloads\.php\?cat_id=([0-9]+)&amp;download_id=([0-9]+)", "downloadfile(\'$2\')", "e");
replaces("downloads\.php\?cat_id=([0-9]+)", "downloadscats(\'$1\')", "e");
replaces("downloads\.php", "download");

replaces("search\.php", "search");
replaces("login\.php", "login");
replaces("contact\.php", "contact");
replaces("setuser\.php\?logout=yes", "logout");
replaces("members\.php", "members");
replaces("messages\.php", "pm");
replaces("edit_profile\.php", "edit_profile");
replaces("register\.php", "register");
replaces("lostpassword\.php", "lost_password");
replaces("submit\.php\?stype=l", "send_link");
replaces("submit\.php\?stype=n", "send_news");
replaces("submit\.php\?stype=a", "send_article");
replaces("submit\.php\?stype=p", "send_photo");
replaces("submit\.php\?stype=d", "send_download");

/*************   ***********************/
//replaces("news\?".$aidlink."&amp;action=edit&amp;news_id=([0-9]+)", "editnews(\'$1\')", "e");
//replaces("razdely-statei\?".$aidlink."&amp;action=edit&amp;article_id=([0-9]+)", "editarticle(\'$1\')", "e");

function replaces ($re, $replaces, $mod = "")
{
 if ($mod == "") {
  return replace_in_output($re, $replaces);
 } else {
  return replace_in_output($re, $replaces, $mod);
 }
}

function editurl ($string)
{
 $string = strtolower($string);
 $special = array(
            '?','!','.',',',':',';','*','(',')','{','}','[',']','%','#','','@','$','^','-','+','/','\\','=','|','"','\'',
            '','','','','','','','','','','','','','','','','','','','','','','','','','','','',
            '','','','','','','','','','','',
            '','','','','','','','','','','',
            '','','','&nbsp;','','','','','','','','');
 $normal = array('_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_','_',
         'a','b','v','g','d','e','zh','z','i','k','l','m','n','o','p','r','s','t','u','f','h','ts','ch','sh','shch','e','yu','ya',
            'a','b','v','g','d','e','e','z','i','y','k',
            'l','m','n','o','p','r','s','t','u','f','h',
            'j','i','e','_','zh','ts','ch','sh','shch',
            '','yu','ya');
 $string =  str_replace($special, $normal, $string);
 return preg_replace(array('/[^a-zA-Z0-9 -]/', '/[ -]+/', '/^-|-$/'), array('', '-', ''), $string);
}

function lastpost ($id)//    
{
 $result = dbquery("SELECT post_id FROM " . DB_POSTS . " WHERE post_id = ".$id);
 return 'lastpost'.$id;
}
function photoview ($id)
{
 $result = dbquery("SELECT photo_title FROM " . DB_PHOTOS . " WHERE photo_id = ".$id);
 while ($data = dbarray($result)) {
 if ( $title = editurl($data['photo_title']) ) { return 'photo'.$id.'-'.$title; }
 if ( $title = empty($data['photo_title']))  { return 'photo'.$id.'-'; }
  }
}
function photoalbums ($id)
{
 $result = dbquery("SELECT album_title FROM " . DB_PHOTO_ALBUMS . " WHERE album_id = ".$id);
 $title = editurl(dbresult($result, 0));
 return 'photoalbum'.$id.'-'.$title;
}
function news ($id, $comments = "")
{
 $result = dbquery("SELECT news_subject FROM " . DB_NEWS . " WHERE news_id = ".$id);
 $title = editurl(dbresult($result, 0));
 return 'news'.$id.'-'.$title .$comments;
}
function editnews ($id)
{
 $result = dbquery("SELECT news_id FROM " . DB_NEWS . " WHERE news_id = ".$id);
 return 'editnews'.$id;
}
function article ($id)
{
 $result = dbquery("SELECT article_subject FROM " . DB_ARTICLES . " WHERE article_id = ".$id);
 $title = editurl(dbresult($result, 0));
 return 'article'.$id.'-'.$title;
}
function editarticle ($id)
{
 $result = dbquery("SELECT article_id FROM " . DB_ARTICLES . " WHERE article_id = ".$id);
 return 'editarticle'.$id;
}
function newscats ($id, $comments = "")
{
 $result = dbquery("SELECT news_cat_name FROM " . DB_NEWS_CATS . " WHERE news_cat_id = ".$id);
 $title = editurl(dbresult($result, 0));
 if ($id != 0) {
  return 'razdel-novostei'.$id.'-'.$title. $comments;
 } else {
  return 'razdel-novostei-uncategorised-'.$id .$comments;
 }
}
function articlescats ($id)
{
 $result = dbquery("SELECT article_cat_name FROM " . DB_ARTICLE_CATS . " WHERE article_cat_id = ".$id);
 $title = editurl(dbresult($result, 0));
 return 'razdel-statei'.$id.'-'.$title ;
}
function newsprint ($id)
{
 $result = dbquery("SELECT news_subject FROM " . DB_NEWS . " WHERE news_id = ".$id);
 $title = editurl(dbresult($result, 0));
 return 'print_news'.$id.'-'.$title;
}
function articleprint ($id)
{
 $result = dbquery("SELECT article_subject FROM " . DB_ARTICLES . " WHERE article_id = ".$id);
 $title = editurl(dbresult($result, 0));
 return 'print_article'.$id.'-'.$title;
}
function profile ($id){
 $result = dbquery("SELECT user_name FROM " . DB_USERS . " WHERE user_id = ".$id);
 $user_name = dbresult($result, 0);
 return 'profile'.$id.'-'.$user_name;
}
function custompage ($id)
{
 $result = dbquery("SELECT page_title FROM ".DB_CUSTOM_PAGES." WHERE page_id = ".$id);
 $title = editurl(dbresult($result, 0));
 return 'page'.$id.'-'.$title;
}
function faq ($id)
{
 $result = dbquery("SELECT faq_cat_name FROM ".DB_FAQ_CATS." WHERE faq_cat_id = ".$id);
 $title = editurl(dbresult($result, 0));
 return 'razdel-faq'.$id.'-'.$title;
}
function weblink ($id)
{
 $result = dbquery("SELECT weblink_name FROM ".DB_WEBLINKS." WHERE weblink_id = ".$id);
 $title = editurl(dbresult($result, 0));
 return 'ssylka'.$id.'-'.$title;
}
function weblinkscats ($id)
{
 $result = dbquery("SELECT weblink_cat_name FROM ".DB_WEBLINK_CATS." WHERE weblink_cat_id = ".$id);
 $title = editurl(dbresult($result, 0));
    return 'razdel-ssylok'.$id.'-'.$title;
}
function forumcat ($id)
{
 $result = dbquery("SELECT forum_name FROM ".DB_FORUMS." WHERE forum_id = ".$id);
 $title = editurl(dbresult($result, 0));
 return 'razdel'.$id.'-'.$title;
}
function topic ($id)
{
 $result = dbquery("SELECT thread_subject FROM ".DB_THREADS." WHERE thread_id = ".$id);
 $title = editurl(dbresult($result, 0));
 return 'topic'.$id.'-'.$title;
}
function downloadfile ($id)
{
 $result = dbquery("SELECT download_title FROM ".DB_DOWNLOADS." WHERE download_id = ".$id);
 $title = editurl(dbresult($result, 0));
 return 'file'.$id.'-'.$title;
}
function downloadscats ($id)
{
 $result = dbquery("SELECT download_cat_name FROM " . DB_DOWNLOAD_CATS . " WHERE download_cat_id = " . $id);
 $title = editurl(dbresult($result, 0));
 return 'downloadcat'.$id.'-'.$title;
}

function downfile ($id)
{
 return 'download-file'.$id;
}
?>